Skip to main content

List Dubbing Languages

GET 

https://api.knoxstudio.ai/v1/dubbing/project/:project_id/language

List language targets. Not billed. Statuses: queued, processing, completed, stale, failed.

Request​

Path Parameters​

NameTypeRequiredDescription
project_idStringYesParent dubbing project ID.

Query Parameters​

NameTypeRequiredDescription
statusStringNoOne of queued, processing, completed, stale, failed.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.

cURL Example​

curl -X GET https://api.knoxstudio.ai/v1/dubbing/project/proj_123/language \
-H "Authorization: Bearer $KNOXCHAT_API_KEY"

Response​

Success Response (200)​

JSON list of language targets.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.